org.apache.cayenne.access.sqlbuilder

## Enum JoinType

- java.lang.Object
- - java.lang.Enum<JoinType>
  - - org.apache.cayenne.access.sqlbuilder.JoinType

- All Implemented Interfaces:
    Serializable, Comparable<JoinType>

      public enum JoinType
      extends Enum<JoinType>

  Since:
    4.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INNER`
    `LEFT`
    `OUTER`
    `RIGHT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static JoinType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JoinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INNER

          public static final JoinType INNER

    - #### LEFT

          public static final JoinType LEFT

    - #### RIGHT

          public static final JoinType RIGHT

    - #### OUTER

          public static final JoinType OUTER

  - ### Method Detail

    - #### values

          public static JoinType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JoinType c : JoinType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JoinType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

Copyright © 2001–2021 Apache Cayenne. All rights reserved.